List booked-documents
curl --request GET \
--url https://{host}/cleemy-procurement/api/booked-documents \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/cleemy-procurement/api/booked-documents"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/cleemy-procurement/api/booked-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 132,
"type": "Invoice",
"purchase": {
"name": "Team building",
"type": "OneTime",
"id": 283,
"href": "/cleemy-procurement/api/purchases/283"
},
"expectedAmount": {
"base": {
"value": 250,
"currency": "EUR"
},
"counter": {
"value": 250,
"currency": "EUR"
},
"rate": 1
},
"costAmount": {
"base": {
"value": 250,
"currency": "EUR"
},
"counter": {
"value": 250,
"currency": "EUR"
},
"rate": 1
},
"documentDate": "2021-11-18",
"documentNumber": "669",
"amountIncludingTaxes": {
"base": {
"excludingTaxes": {
"value": 250,
"currency": "EUR"
},
"taxes": [
{
"rateTypeId": 1,
"value": 25,
"currency": "EUR"
}
],
"includingTaxes": {
"value": 275,
"currency": "EUR"
}
},
"counter": {
"excludingTaxes": {
"value": 250,
"currency": "EUR"
},
"taxes": [
{
"rateTypeId": 1,
"value": 25,
"currency": "EUR"
}
],
"includingTaxes": {
"value": 275.03,
"currency": "EUR"
}
},
"rate": 1
},
"attachments": [
{
"id": 223,
"file": {
"name": "facture_6698734.pdf",
"displayHref": "/cleemy-procurement/api/files/f0208989-edd3-4d09-b0ec-f97b24caa49e/display",
"id": "f0208989-edd3-4d09-b0ec-f97b24caa49e",
"href": "/cleemy-procurement/api/files/f0208989-edd3-4d09-b0ec-f97b24caa49e"
},
"createdAt": "2021-11-19T11:02:17.7052636+00:00",
"pages": {
"displayHrefTemplate": "/cleemy-procurement/api/files/f0208989-edd3-4d09-b0ec-f97b24caa49e/display/pages/{pageNumber}",
"count": 2
}
}
],
"dueDate": "2021-12-18",
"paymentDetails": {
"paymentMethod": "BankTransfer"
},
"paymentDate": "2021-12-16",
"conformityState": "Confirmed",
"paymentState": "Paid",
"completion": "Complete",
"flag": "Unflagged",
"commentsCount": 0,
"createdAt": "2021-11-19T11:02:17.8042102+00:00",
"author": {
"name": "Matt Bawss",
"firstName": "Matt",
"lastName": "Bawss",
"pictureHref": "https://example.ilucca.net/directory/api/employees/13/picture",
"id": 13,
"href": "https://example.ilucca.net/api/v3/users/13"
},
"modifiedAt": "2022-06-22T15:42:25.2392513+00:00",
"modifier": {
"name": "Matt Bawss",
"firstName": "Matt",
"lastName": "Bawss",
"pictureHref": "https://example.ilucca.net/directory/api/employees/13/picture",
"id": 13,
"href": "https://example.ilucca.net/api/v3/users/13"
}
}
],
"next": "!004rsiRZqz|Pw",
"prev": "~00AhtpyGpz|42",
"count": 24
}Booked Documents
List booked-documents
List booked-documents (i.e. invoices and credit notes).
GET
/
cleemy-procurement
/
api
/
booked-documents
List booked-documents
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
Filter on invoices conformity state.
Available options:
ToReview, PendingBreakdown, Confirmed, Litigation, Discarded, Removed, Bypassed Filter on credit notes conformity state.
Available options:
ToReview, Partial, Confirmed, Removed, Bypassed Only return documents created after given date.
Only return documents created before given date.
Include root collection fields (paging).
Available options:
prev, next, count Page selection. Page tokens can be retrieved by adding ?fields.root=next,prev on your GET collections requests.
Page size.
Required range:
0 <= x <= 1000Was this page helpful?
⌘I